Bug 970203 - Unable to use some options for int sub-fields in Guvnor
Unable to use some options for int sub-fields in Guvnor
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Geoffrey De Smet
Lukáš Petrovický
:
Depends On:
Blocks: 986000 1069273
  Show dependency treegraph
 
Reported: 2013-06-03 12:52 EDT by Amana
Modified: 2014-02-24 11:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 986000 (view as bug list)
Environment:
Last Closed: 2013-07-18 14:29:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
before-saving (31.12 KB, image/png)
2013-06-03 12:52 EDT, Amana
no flags Details
after-saving (28.16 KB, image/png)
2013-06-03 12:52 EDT, Amana
no flags Details

  None (edit)
Description Amana 2013-06-03 12:52:26 EDT
Created attachment 756412 [details]
before-saving

The configuration is reverted back to its original state after saving a rule which contains an int sub-field that uses some options such as "less than", "greater than", "less than or equal to" and "greater than or equal to" in Guvnor. The only options available after saving are: "equal to", "not equal to", "is null" and "is not null" (see before-saving.png and after-saving.png attached). Follow the steps to reproduce:

1) Created a model object which has an object attribute. This class has an int attribute as follows:

public class Customer {
	
	private Contact contact;
...
}

public class Contact {
	
	private int tel1;
...
}


2) After importing the jar to guvnor, I created a rule adding the "tel1" sub-field. I selected "greater than" option and saved the rule.

3) It has reverted to "---please choose---" and now I can only choose "equal to", "not equal to", "is null" and "is not null".
Comment 1 Amana 2013-06-03 12:52:52 EDT
Created attachment 756413 [details]
after-saving

Note You need to log in before you can comment on or make changes to this bug.